<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
if (strlen(session_id()) < 1) session_start();

// Verifica que la sesión esté iniciada correctamente
if (!isset($_SESSION["idusuario"])) {
    echo json_encode(["error" => "Sesión no válida o no iniciada."]);
    exit;
}
require_once "../modelos/Reporte.php";

$reporte =new Reporte();

switch ($_GET["op"])
{
    case 'listar_torre':
        $idtorre=$_REQUEST['idtorre'];
        $idtecnologia=$_REQUEST['idtecnologia'];
        $rspta=$reporte->listar_torre($idtorre,$idtecnologia);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
}